Package com.ocient.jdbc.proto

## Class PlanProtocol.IndexDistinctOperator

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.PlanProtocol.IndexDistinctOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.IndexDistinctOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.IndexDistinctOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.IndexDistinctOperatorOrBuilder

    Hybrid operator that combines index and removal of duplicates, and outputs distinct values in sorted order

Protobuf type `xg.db.sqlPlans.IndexDistinctOperator`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PlanProtocol.IndexDistinctOperator.Builder` Hybrid operator that combines index and removal of duplicates, and outputs distinct values in sorted order

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `COLNAMES_FIELD_NUMBER`
`static int` `COLTYPES_FIELD_NUMBER`
`static int` `DB_FIELD_NUMBER`
`static int` `FILTERS_FIELD_NUMBER`
`static int` `INDEX_UUID_FIELD_NUMBER`
`static int` `INDEXNAME_FIELD_NUMBER`
`static int` `POINT_FIELD_NUMBER`
`static int` `SCHEMA_FIELD_NUMBER`
`static int` `STORAGE_SPACE_UUID_FIELD_NUMBER`
`static int` `TABLE_UUID_FIELD_NUMBER`
`static int` `TABLENAME_FIELD_NUMBER`
`static int` `TIME_FILTERS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals​(Object obj)`
`String` `getColNames​(int index)` Deprecated.
`com.google.protobuf.ByteString` `getColNamesBytes​(int index)` Deprecated.
`int` `getColNamesCount()` Deprecated.
`com.google.protobuf.ProtocolStringList` `getColNamesList()` Deprecated.
`String` `getColTypes​(int index)` The string representation of the type of ALL output columns
`com.google.protobuf.ByteString` `getColTypesBytes​(int index)` The string representation of the type of ALL output columns
`int` `getColTypesCount()` The string representation of the type of ALL output columns
`com.google.protobuf.ProtocolStringList` `getColTypesList()` The string representation of the type of ALL output columns
`String` `getDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` `getDbBytes()` Database name - a table really needs db.schema.name to be uniquely referenced
`static PlanProtocol.IndexDistinctOperator` `getDefaultInstance()`
`PlanProtocol.IndexDistinctOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`PlanProtocol.Disjunction` `getFilters​(int index)` Filter conditions to apply via index
`int` `getFiltersCount()` Filter conditions to apply via index
`List<PlanProtocol.Disjunction>` `getFiltersList()` Filter conditions to apply via index
`PlanProtocol.DisjunctionOrBuilder` `getFiltersOrBuilder​(int index)` Filter conditions to apply via index
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getFiltersOrBuilderList()` Filter conditions to apply via index
`String` `getIndexName()` Which index?
`com.google.protobuf.ByteString` `getIndexNameBytes()` Which index?
`String` `getIndexUuid()` `string index_uuid = 10;`
`com.google.protobuf.ByteString` `getIndexUuidBytes()` `string index_uuid = 10;`
`com.google.protobuf.Parser<PlanProtocol.IndexDistinctOperator>` `getParserForType()`
`PlanProtocol.SortPartition` `getPoint​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`int` `getPointCount()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`List<PlanProtocol.SortPartition>` `getPointList()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.SortPartitionOrBuilder` `getPointOrBuilder​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`List<? extends PlanProtocol.SortPartitionOrBuilder>` `getPointOrBuilderList()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`String` `getSchema()` The table schema
`com.google.protobuf.ByteString` `getSchemaBytes()` The table schema
`int` `getSerializedSize()`
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 9;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 9;`
`String` `getTableName()` The table name
`com.google.protobuf.ByteString` `getTableNameBytes()` The table name
`String` `getTableUuid()` `string table_uuid = 8;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 8;`
`PlanProtocol.Disjunction` `getTimeFilters​(int index)` Time filter disjunctions
`int` `getTimeFiltersCount()` Time filter disjunctions
`List<PlanProtocol.Disjunction>` `getTimeFiltersList()` Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` `getTimeFiltersOrBuilder​(int index)` Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getTimeFiltersOrBuilderList()` Time filter disjunctions
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static PlanProtocol.IndexDistinctOperator.Builder` `newBuilder()`
`static PlanProtocol.IndexDistinctOperator.Builder` `newBuilder​(PlanProtocol.IndexDistinctOperator prototype)`
`PlanProtocol.IndexDistinctOperator.Builder` `newBuilderForType()`
`protected PlanProtocol.IndexDistinctOperator.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static PlanProtocol.IndexDistinctOperator` `parseDelimitedFrom​(InputStream input)`
`static PlanProtocol.IndexDistinctOperator` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(byte[] data)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(com.google.protobuf.ByteString data)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(InputStream input)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(ByteBuffer data)`
`static PlanProtocol.IndexDistinctOperator` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<PlanProtocol.IndexDistinctOperator>` `parser()`
`PlanProtocol.IndexDistinctOperator.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### SCHEMA_FIELD_NUMBER

    public static final int SCHEMA_FIELD_NUMBER

See Also:
  Constant Field Values

#### TABLENAME_FIELD_NUMBER

    public static final int TABLENAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### INDEXNAME_FIELD_NUMBER

    public static final int INDEXNAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### COLNAMES_FIELD_NUMBER

    public static final int COLNAMES_FIELD_NUMBER

See Also:
  Constant Field Values

#### FILTERS_FIELD_NUMBER

    public static final int FILTERS_FIELD_NUMBER

See Also:
  Constant Field Values

#### DB_FIELD_NUMBER

    public static final int DB_FIELD_NUMBER

See Also:
  Constant Field Values

#### TABLE_UUID_FIELD_NUMBER

    public static final int TABLE_UUID_FIELD_NUMBER

See Also:
  Constant Field Values

#### STORAGE_SPACE_UUID_FIELD_NUMBER

    public static final int STORAGE_SPACE_UUID_FIELD_NUMBER

See Also:
  Constant Field Values

#### INDEX_UUID_FIELD_NUMBER

    public static final int INDEX_UUID_FIELD_NUMBER

See Also:
  Constant Field Values

#### TIME_FILTERS_FIELD_NUMBER

    public static final int TIME_FILTERS_FIELD_NUMBER

See Also:
  Constant Field Values

#### POINT_FIELD_NUMBER

    public static final int POINT_FIELD_NUMBER

See Also:
  Constant Field Values

#### COLTYPES_FIELD_NUMBER

    public static final int COLTYPES_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getSchema

    public String getSchema()

    The table schema

`string schema = 1;`

Specified by:
  `getSchema` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The schema.

#### getSchemaBytes

    public com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Specified by:
  `getSchemaBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for schema.

#### getTableName

    public String getTableName()

    The table name

`string tableName = 2;`

Specified by:
  `getTableName` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The tableName.

#### getTableNameBytes

    public com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Specified by:
  `getTableNameBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for tableName.

#### getIndexName

    public String getIndexName()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexName` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The indexName.

#### getIndexNameBytes

    public com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexNameBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for indexName.

#### getColNamesList

    @Deprecated
    public com.google.protobuf.ProtocolStringList getColNamesList()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  A list containing the colNames.

#### getColNamesCount

    @Deprecated
    public int getColNamesCount()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The count of colNames.

#### getColNames

    @Deprecated
    public String getColNames​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNames` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colNames at the given index.

#### getColNamesBytes

    @Deprecated
    public com.google.protobuf.ByteString getColNamesBytes​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colNames at the given index.

#### getFiltersList

    public List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getFiltersOrBuilderList

    public List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersOrBuilderList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getFiltersCount

    public int getFiltersCount()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getFilters

    public PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFilters` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getFiltersOrBuilder

    public PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersOrBuilder` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getDb

    public String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Specified by:
  `getDb` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The db.

#### getDbBytes

    public com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Specified by:
  `getDbBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for db.

#### getTableUuid

    public String getTableUuid()

`string table_uuid = 8;`

Specified by:
  `getTableUuid` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The tableUuid.

#### getTableUuidBytes

    public com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 8;`

Specified by:
  `getTableUuidBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for tableUuid.

#### getStorageSpaceUuid

    public String getStorageSpaceUuid()

`string storage_space_uuid = 9;`

Specified by:
  `getStorageSpaceUuid` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    public com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 9;`

Specified by:
  `getStorageSpaceUuidBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for storageSpaceUuid.

#### getIndexUuid

    public String getIndexUuid()

`string index_uuid = 10;`

Specified by:
  `getIndexUuid` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The indexUuid.

#### getIndexUuidBytes

    public com.google.protobuf.ByteString getIndexUuidBytes()

`string index_uuid = 10;`

Specified by:
  `getIndexUuidBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for indexUuid.

#### getTimeFiltersList

    public List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getTimeFiltersOrBuilderList

    public List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersOrBuilderList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getTimeFiltersCount

    public int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getTimeFilters

    public PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFilters` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getTimeFiltersOrBuilder

    public PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersOrBuilder` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPointList

    public List<PlanProtocol.SortPartition> getPointList()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPointOrBuilderList

    public List<? extends PlanProtocol.SortPartitionOrBuilder> getPointOrBuilderList()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointOrBuilderList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPointCount

    public int getPointCount()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPoint

    public PlanProtocol.SortPartition getPoint​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPoint` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPointOrBuilder

    public PlanProtocol.SortPartitionOrBuilder getPointOrBuilder​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointOrBuilder` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getColTypesList

    public com.google.protobuf.ProtocolStringList getColTypesList()

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypesList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  A list containing the colTypes.

#### getColTypesCount

    public int getColTypesCount()

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypesCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The count of colTypes.

#### getColTypes

    public String getColTypes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colTypes at the given index.

#### getColTypesBytes

    public com.google.protobuf.ByteString getColTypesBytes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypesBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colTypes at the given index.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(ByteBuffer data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(ByteBuffer data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(com.google.protobuf.ByteString data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(com.google.protobuf.ByteString data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(byte[] data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(byte[] data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(InputStream input)
                                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.IndexDistinctOperator parseDelimitedFrom​(InputStream input)
                                                                 throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.IndexDistinctOperator parseDelimitedFrom​(InputStream input,
                                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(com.google.protobuf.CodedInputStream input)
                                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.IndexDistinctOperator parseFrom​(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public PlanProtocol.IndexDistinctOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static PlanProtocol.IndexDistinctOperator.Builder newBuilder()

#### newBuilder

    public static PlanProtocol.IndexDistinctOperator.Builder newBuilder​(PlanProtocol.IndexDistinctOperator prototype)

#### toBuilder

    public PlanProtocol.IndexDistinctOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected PlanProtocol.IndexDistinctOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static PlanProtocol.IndexDistinctOperator getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<PlanProtocol.IndexDistinctOperator> parser()

#### getParserForType

    public com.google.protobuf.Parser<PlanProtocol.IndexDistinctOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public PlanProtocol.IndexDistinctOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`